import { Obj } from "./ObjBean";

export class ExercisesBean extends Obj {

    answerArr = [];

    index
}

export function getDefaultExercises() {
    let exercises = new ExercisesBean();

    exercises.answerArr.push(getDefaultAnswer());

    exercises.answerArr.push(getDefaultAnswer());

    return exercises;
}

export class AnswerBean extends Obj {

    letterArr = [];
}

export function getDefaultAnswer(){

    let answer = new AnswerBean();

    return answer;
}



export class LetterBean extends Obj {

    key = '';

    bold = '0';

    fontColor = '#363333';

    isFill = '0';
}

export function getDefaultLetter() {

    let letter = new LetterBean();

    letter.key = 'K-' + new Date().getTime();

    return letter;
}

